Patch API Token

Patch API Token
Patches API Token.

Patches API Token. Only the tokenDisplayName, tokenDescription and accessTokenTtl for an API token can be patched.

Request
URI
PATCH
https://{api_host}/acs/t/{tenant}/api-tokens/{id}
COPY
Path Parameters
string
id
Required

The API token identifier

string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant

Request Body
PatchAPITokensRequestMedia of type(s) application/vnd.vmware.vidm.api-tokens.patch.request+json
Optional

Show optional properties

{
    "token_display_name": "string"
}
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "token_display_name": "string",
    "access_token_ttl": 0,
    "max_count_of_uses": 0,
    "token_description": "string"
}
object
_links
Optional

The resource HATEOAS links. Usually includes a "self" link for this resource

string
token_display_name
Required
Constraints: minLength: 3 maxLength: 255

token_display_name

integer As int64 As int64
access_token_ttl
Optional

Access token ttl in minutes.

integer As int32 As int32
max_count_of_uses
Optional

max_count_of_uses

Possible values are : 1, -1,
string
token_description
Optional
Constraints: minLength: 0 maxLength: 4000

token_description

Authentication
This operation uses the following authentication methods.
Responses
200

API Token patched successfully

Returns PatchAPITokensResponseMedia of type(s) application/vnd.vmware.vidm.api-tokens.patch.response+json
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "id": "string",
    "client_display_name": "string",
    "client_id": "string",
    "client_type": "string",
    "token_display_name": "string",
    "token_type": "string",
    "token_sub_type": "string",
    "token_suffix": "string",
    "api_token_ttl": 0,
    "access_token_ttl": 0,
    "acct": "string",
    "user_status": false,
    "expiration_date": "string",
    "last_access_time": "string",
    "created_date": "string",
    "modified_date": "string",
    "token_status": "string",
    "token_description": "string"
}

400

Request contains invalid information

Operation doesn't return any data structure

401

Unauthorized access

Operation doesn't return any data structure

404

Not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/vnd.vmware.vidm.api-tokens.patch.request+json' -d '{"token_display_name":"string"}'